Subject: Re: [dhcwg] FW: New Version Notification for draft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt

From: Linhui Sun <[email-masked]>
Date: Tue, 26 Jan 2016 19:12:07 +0800

Hi,

I've read this document and think it is a useful solution to a specific
problem. I also have some confusing questions, please see the details below.

1. In the Introduction, there is a statement about the DHCP4o6,
   "It should be noted that [RFC7341] specifies DHCPv4 over DHCPv6, thus
   making it possible to use the DHCPv6 reconfigure function to
   reconfigure parameters in DHCPv4. However, [RFC7341] is only
   applicable to a IPv6 core network."
IMHO, DHCP4o6 transport only makes the DHCPv4 messages could be transmitted
in IPv6 environment, I don't understand how to use DHCPv6 reconfigure
function to reconfigure a DHCPv4 client.

2. In Section 2.3,
   "One obvious solution is to forego backward compatibility and have the
   DHCP server simply abandon the reconfiguration procedure at the end
   of the DHCPINFOFORCERENEW reconfiguration procedure."
I don't know why we need to abandon the backward compatibility. If the
client wishes to decline the DHCPFORCEINFORENEW, it makes no difference
whether the FORCERENEW is for IP address or for configuration information
other than IP address. In another word, if the DHCPINFOFORCERENEW are
reverted to DHCPFORCERENEW, the client can still decline the request using
the corresponding mechanism designed for DHCPFORCERENEW.

Regards,
Linhui

2015-10-20 10:02 GMT+08:00 Luyuan Fang <[email-masked]>:

> Hi all,
>
> We submitted a new version of draft-fang-dhc-dhcpv4-forcerenew-extensions.
> We updated the draft based on Bernie and Christian's very helpful feedback
> on 00 version, thanks a lot, Bernie and Christian.
>
> The intent of the draft is to extend the definition of the DHCPFORCERENEW
> message for parameter reconfiguration in DHCPv4. This extension makes the
> DHCPFORCERENEW message more suitable to reconfigure configuration
> parameters other than IP addresses, and aligns the behavior of the
> reconfiguration procedure in DHCPv4 to the corresponding behavior in DHCPv6.
>
> We understand the DHC WG focus is on v6, and we are implementing DHCPv6 in
> our cloud solutions as well. It is a good thing to do.
>
> In the meantime, we still have full of DHCPv4 in our cloud networks,
> cannot go away anytime soon. Our proposal is not calling for a big change,
> but it makes a lot of difference for the customers if we could avoid
> service interruption when only updating info without lease renew. So the
> proposed change is very important for us in providing reliable Cloud
> Services to customers.
>
> We would very much appreciate your comments.
>
> Thanks ,
> Luyuan
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, October 19, 2015 2:44 PM
> To: Luyuan Fang <[email-masked]>; Fabio Chiussi <
> [email-masked]>; Deepak Bansal (AZURE) <[email-masked]>
> Subject: New Version Notification for
> draft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt
>
>
> A new version of I-D, draft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt
> has been successfully submitted by Luyuan Fang and posted to the IETF
> repository.
>
> Name:           draft-fang-dhc-dhcpv4-forcerenew-extensions
> Revision:       01
> Title:          Forcerenew Reconfiguration Extensions for DHCPv4
> Document date:  2015-10-19
> Group:          Individual Submission
> Pages:          7
> URL:
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fwww.ietf.org%2finternet-drafts%2fdraft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=XWQywRXXFlDEekzeP4L7L39A3WsU0LQvm23Akt49Go4%3d
> Status:
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fdatatracker.ietf.org%2fdoc%2fdraft-fang-dhc-dhcpv4-forcerenew-extensions%2f&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=CVC2iRhJ0JlpX%2fsYLvO75c736QChR2gNjUUXtv4wjsM%3d
> Htmlized:
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2ftools.ietf.org%2fhtml%2fdraft-fang-dhc-dhcpv4-forcerenew-extensions-01&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=7%2fyJBegjdkEyvzEpSxLR1krKwyr4EeVTBg1wDKsZP9w%3d
> Diff:
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fwww.ietf.org%2frfcdiff%3furl2%3ddraft-fang-dhc-dhcpv4-forcerenew-extensions-01&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=lRgpr96THN9DT3%2bTJTBRBq9tdRKc8rWTDoUjnYcfwSs%3d
>
> Abstract:
>    This document extends the definition of the DHCPFORCERENEW message
>    for parameter reconfiguration in DHCPv4. This extension makes the
>    DHCPFORCERENEW message more suitable to reconfigure configuration
>    parameters other than IP addresses, and aligns the behavior of the
>    reconfiguration procedure in DHCPv4 to the corresponding behavior in
>    DHCPv6.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>
> The IETF Secretariat
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>